## tesseract 3.03.03

=== training/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# training/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/tesseract
pkgincludedir = $(includedir)/tesseract
pkglibdir = $(libdir)/tesseract
pkglibexecdir = $(libexecdir)/tesseract
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
# TODO: training programs can not be linked to shared library created 
# with -fvisibility 
#am__append_1 = -all-static
bin_PROGRAMS = ambiguous_words$(EXEEXT) classifier_tester$(EXEEXT) \
	cntraining$(EXEEXT) combine_tessdata$(EXEEXT) \
	dawg2wordlist$(EXEEXT) mftraining$(EXEEXT) \
	set_unicharset_properties$(EXEEXT) shapeclustering$(EXEEXT) \
	text2image$(EXEEXT) unicharset_extractor$(EXEEXT) \
	wordlist2dawg$(EXEEXT)
#am__append_2 = \
#    ../api/libtesseract_api.la \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_3 = \
    ../api/libtesseract.la

#am__append_4 = \
#    ../api/libtesseract_api.la \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_5 = \
    ../api/libtesseract.la

#am__append_6 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_7 = \
    ../api/libtesseract.la

#am__append_8 = \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../textord/libtesseract_textord.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_9 = \
    ../api/libtesseract.la

#am__append_10 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_11 = \
    ../api/libtesseract.la

#am__append_12 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_13 = \
    ../api/libtesseract.la

#am__append_14 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_15 = \
    ../api/libtesseract.la

#am__append_16 = \
#    ../textord/libtesseract_textord.la \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_17 = \
    ../api/libtesseract.la

#am__append_18 = \
#    ../ccutil/libtesseract_ccutil.la \
#    ../ccstruct/libtesseract_ccstruct.la

am__append_19 = \
    ../api/libtesseract.la

#am__append_20 = \
#    ../classify/libtesseract_classify.la \
#    ../dict/libtesseract_dict.la \
#    ../ccstruct/libtesseract_ccstruct.la \
#    ../cutil/libtesseract_cutil.la \
#    ../viewer/libtesseract_viewer.la \
#    ../ccmain/libtesseract_main.la \
#    ../cube/libtesseract_cube.la \
#    ../neural_networks/runtime/libtesseract_neural.la \
#    ../wordrec/libtesseract_wordrec.la \
#    ../textord/libtesseract_textord.la \
#    ../ccutil/libtesseract_ccutil.la

am__append_21 = \
    ../api/libtesseract.la

#am__append_22 = -lws2_32
#am__append_23 = -lws2_32
#am__append_24 = -lws2_32
#am__append_25 = -lws2_32
#am__append_26 = -lws2_32
#am__append_27 = -lws2_32
#am__append_28 = -lws2_32
#am__append_29 = -lws2_32
#am__append_30 = -lws2_32
#am__append_31 = -I$(top_srcdir)/vs2010/port
#am__append_32 = ../vs2010/port/strcasestr.h
#am__append_33 = ../vs2010/port/strcasestr.cpp
subdir = training
DIST_COMMON = $(am__noinst_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config_auto.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libtesseract_tessopt_la_LIBADD =
am_libtesseract_tessopt_la_OBJECTS = tessopt.lo
libtesseract_tessopt_la_OBJECTS =  \
	$(am_libtesseract_tessopt_la_OBJECTS)
libtesseract_training_la_DEPENDENCIES =  \
	../cutil/libtesseract_cutil.la
am__libtesseract_training_la_SOURCES_DIST = boxchar.cpp \
	commandlineflags.cpp commontraining.cpp degradeimage.cpp \
	fileio.cpp ligature_table.cpp normstrngs.cpp \
	pango_font_info.cpp stringrenderer.cpp tlog.cpp \
	../vs2010/port/strcasestr.cpp
#am__objects_1 = strcasestr.lo
am_libtesseract_training_la_OBJECTS = boxchar.lo commandlineflags.lo \
	commontraining.lo degradeimage.lo fileio.lo ligature_table.lo \
	normstrngs.lo pango_font_info.lo stringrenderer.lo tlog.lo \
	$(am__objects_1)
libtesseract_training_la_OBJECTS =  \
	$(am_libtesseract_training_la_OBJECTS)
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_ambiguous_words_OBJECTS = ambiguous_words.$(OBJEXT)
ambiguous_words_OBJECTS = $(am_ambiguous_words_OBJECTS)
am__DEPENDENCIES_1 =
ambiguous_words_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_2) $(am__append_3) \
	$(am__DEPENDENCIES_1)
am_classifier_tester_OBJECTS = classifier_tester.$(OBJEXT)
classifier_tester_OBJECTS = $(am_classifier_tester_OBJECTS)
classifier_tester_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_4) $(am__append_5) \
	$(am__DEPENDENCIES_1)
am_cntraining_OBJECTS = cntraining.$(OBJEXT)
cntraining_OBJECTS = $(am_cntraining_OBJECTS)
cntraining_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_6) $(am__append_7) \
	$(am__DEPENDENCIES_1)
am_combine_tessdata_OBJECTS = combine_tessdata.$(OBJEXT)
combine_tessdata_OBJECTS = $(am_combine_tessdata_OBJECTS)
combine_tessdata_DEPENDENCIES =  \
	../api/libtesseract.la \
	$(am__DEPENDENCIES_1)
#combine_tessdata_DEPENDENCIES =  \
#	../ccutil/libtesseract_ccutil.la \
#	$(am__DEPENDENCIES_1)
am_dawg2wordlist_OBJECTS = dawg2wordlist.$(OBJEXT)
dawg2wordlist_OBJECTS = $(am_dawg2wordlist_OBJECTS)
dawg2wordlist_DEPENDENCIES = libtesseract_tessopt.la $(am__append_8) \
	$(am__append_9) $(am__DEPENDENCIES_1)
am_mftraining_OBJECTS = mftraining.$(OBJEXT) mergenf.$(OBJEXT)
mftraining_OBJECTS = $(am_mftraining_OBJECTS)
mftraining_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_10) $(am__append_11) \
	$(am__DEPENDENCIES_1)
am_set_unicharset_properties_OBJECTS =  \
	set_unicharset_properties.$(OBJEXT)
set_unicharset_properties_OBJECTS =  \
	$(am_set_unicharset_properties_OBJECTS)
set_unicharset_properties_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__DEPENDENCIES_1) $(am__append_12) \
	$(am__append_13)
am_shapeclustering_OBJECTS = shapeclustering.$(OBJEXT)
shapeclustering_OBJECTS = $(am_shapeclustering_OBJECTS)
shapeclustering_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_14) $(am__append_15) \
	$(am__DEPENDENCIES_1)
am_text2image_OBJECTS = text2image.$(OBJEXT)
text2image_OBJECTS = $(am_text2image_OBJECTS)
text2image_DEPENDENCIES = libtesseract_training.la \
	libtesseract_tessopt.la $(am__append_16) $(am__append_17) \
	$(am__DEPENDENCIES_1)
am_unicharset_extractor_OBJECTS = unicharset_extractor.$(OBJEXT)
unicharset_extractor_OBJECTS = $(am_unicharset_extractor_OBJECTS)
unicharset_extractor_DEPENDENCIES = libtesseract_tessopt.la \
	$(am__append_18) $(am__append_19) $(am__DEPENDENCIES_1)
am_wordlist2dawg_OBJECTS = wordlist2dawg.$(OBJEXT)
wordlist2dawg_OBJECTS = $(am_wordlist2dawg_OBJECTS)
wordlist2dawg_DEPENDENCIES = libtesseract_tessopt.la $(am__append_20) \
	$(am__append_21) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libtesseract_tessopt_la_SOURCES) \
	$(libtesseract_training_la_SOURCES) $(ambiguous_words_SOURCES) \
	$(classifier_tester_SOURCES) $(cntraining_SOURCES) \
	$(combine_tessdata_SOURCES) $(dawg2wordlist_SOURCES) \
	$(mftraining_SOURCES) $(set_unicharset_properties_SOURCES) \
