## tesseract 3.04.01

=== debian/changelog ===
tesseract (3.04.01-4mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Oct 2016 14:47:06 -0700

tesseract (3.04.01-4) unstable; urgency=medium

  * switch to pbuilder (closes: #815882)
  * accept fix to watch file from bartm
  * hopefully finish up libtesseract4 mess (closes: #815970, #815860)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 26 Feb 2016 18:23:36 -0800

tesseract (3.04.01-3) unstable; urgency=medium

  * Fix leptonica dependency (closes: #815132)
  * Drop back to libtesseract3, restore old ABI (closes: #815056)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 25 Feb 2016 00:22:26 +0000

tesseract (3.04.01-2) unstable; urgency=medium

  * Fix copyright file

 -- Jeff Breidenbach <jab@debian.org>  Thu, 18 Feb 2016 23:43:56 +0000

tesseract (3.04.01-1) unstable; urgency=medium

  * New upstream release (closes: #796178)
  * Bump soversion (closes: #742027)
  * Acknowledge upstream migration from code.google.com to github

 -- Jeff Breidenbach <jab@debian.org>  Tue, 16 Feb 2016 17:39:39 +0000

tesseract (3.04.00-5) unstable; urgency=medium

  * New metapackage language hoarders
  * Bugfix to stop data corruption on stdout

 -- Jeff Breidenbach <jab@debian.org>  Fri, 17 Jul 2015 23:08:32 +0000

tesseract (3.04.00-4) unstable; urgency=medium

  * Fix file overwrite problem (closes: #792659)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 17 Jul 2015 22:25:49 +0000

tesseract (3.04.00-3) unstable; urgency=medium

  * Improve training script and add a bit of documentation

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Jul 2015 22:16:46 +0000

tesseract (3.04.00-2) unstable; urgency=medium

  * Include high level training script, tesstrain.sh

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Jul 2015 00:05:52 +0000

tesseract (3.04.00-1) unstable; urgency=low

  * New upstream release
  * Revised descriptions (closes: #763003)
  * Include pkg-config file (closes: #745766)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 10 Jul 2015 06:26:21 +0000

tesseract (3.03.03-1) unstable; urgency=medium

  * Remove accidental .o files in source tarball.
  * Restore the missing training binaries. (closes: #742029)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 28 Mar 2014 15:54:30 -0700

tesseract (3.03.02-3) unstable; urgency=low

  * Fix dependency mistake introduced in 3.02.02-2
  * Patch from upstream to fix PDF rendering for Arabic

 -- Jeff Breidenbach <jab@debian.org>  Fri, 07 Feb 2014 09:25:16 -0800

tesseract (3.03.02-2) unstable; urgency=low

  * improve version dependencies (closes: #737481)
  * work on lintian warnings

 -- Jeff Breidenbach <jab@debian.org>  Wed, 05 Feb 2014 17:36:52 -0800

tesseract (3.03.02-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 04 Feb 2014 16:44:15 -0800

tesseract (3.03.01-1) unstable; urgency=low

  * New upstream release, includes critical fix to PDF rendering
  * Complete leptonlib transition (see bug #735509)
  * Promote from experimental to unstable

 -- Jeff Breidenbach <jab@debian.org>  Mon, 03 Feb 2014 11:10:20 -0800

tesseract (3.03.00-1) experimental; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 16 Jan 2014 16:21:29 -0800

tesseract (3.02.02-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 23 Oct 2012 23:25:05 +0000

tesseract (3.02.01-6) unstable; urgency=low

  * No changes. Bumping package version to poosibly help with upload.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 30 Jul 2012 16:01:21 -0700

tesseract (3.02.01-5) unstable; urgency=low

  * Working with Jonathan to fix mistaken extra files.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 30 Jul 2012 11:38:04 -0700

tesseract (3.02.01-4.2) unstable; urgency=low

  * Non-maintainer upload
  * Remove files added to source by mistake in last sponsored upload

 -- Jeff Breidenbach <jab@debian.org>  Mon, 30 Jul 2012 11:37:58 -0700

tesseract (3.02.01-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove hardcoded dependency on libleptonica (closes: #680598)
  * Bump build-dependency on libleptonica-dev to ">> 1.69-3." for
    fixed shlibs

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 19 Jul 2012 16:51:03 -0500

tesseract (3.02.01-4) unstable; urgency=low

  * Create dummy transition package (closes: #658478)
  * Put a version on leptonica dependency (closes: #664175)
  * Remove quilt

 -- Jeff Breidenbach <jab@debian.org>  Fri, 02 Mar 2012 01:20:33 +0000

tesseract (3.02.01-2) unstable; urgency=low

  * Add patch from Martin Owens to fix a segfault when tesseract
    encounters a grey-scale image saved from The GIMP (LP: #793002).
    Thanks, Martin! Thanks, Ubuntu!

 -- Jeff Breidenbach <jab@debian.org>  Thu, 16 Feb 2012 15:36:22 -0800

tesseract (3.02.01-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed a segfault (closes: #658634)
  * Upstream wrote some missing manpages.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Feb 2012 18:30:21 -0800

tesseract (3.02-3) unstable; urgency=low

  * lintian: ancient-standards-version, quilt-build-dep-but-no-series-file
  * lintian: wrong-section-according-to-package-name
  * simplify dependencies and require English (closes: 658099)

 -- Jeff Breidenbach <jab@debian.org>  Sat, 04 Feb 2012 15:27:27 -0800

tesseract (3.02-2) unstable; urgency=medium

  * Deal with file moving to new package name (closes: #658476)
  * Move .so symlink to the dev package (closes: #658472)
  * tesseract 3.0x officially breaks ocropus 0.3.x (closes: #658095)
  * Add dependency to equation "language" at request of upstream
  * Note that 3.0x tesseract-ocr-dev was renamed to libtesseract-dev
  * Bumping urgency to medium due to looming propagation deadlines

 -- Jeff Breidenbach <jab@debian.org>  Fri, 03 Feb 2012 10:10:07 -0800

tesseract (3.02-1) unstable; urgency=low

  * New upstream release
  * 3.0x doesn't have trouble with finding files (closes: #558254)

